import { Result, deleteRequest, get, post, put } from "../base";

/**
 * 分页查询
 * @param query .
 * @returns .
 */
export function queryPage<T>(query?: any): Promise<Result<T>> {
  return get("/merchant/pay/order/page", query);
}

/**
 * 列表查询
 * @param query .
 * @returns .
 */
export function queryList<T>(query?: any): Promise<Result<T>> {
  return get("/merchant/pay/order/list", query);
}

/**
 * 新增
 * @param data .
 * @returns .
 */
export function save<T>(data: any): Promise<Result<T>> {
  return post("/merchant/pay/order/save", data);
}

/**
 * 更新
 * @param id .
 * @param data .
 * @returns  .
 */
export function update<T>(id: string, data: any): Promise<Result<T>> {
  return put(`/merchant/pay/order/update/${id}`, {}, data);
}

/**
 * 删除用户
 * @param userIds .
 * @returns  .
 */
export function del<T>(userIds: string[]): Promise<Result<T>> {
  return deleteRequest(`/merchant/pay/order/remove`, {}, userIds);
}


/**
 * 查询支付状态
 * @param id .
 * @returns  .
 */
export function queryPayStatus<T>(id: string): Promise<Result<T>> {
  return get(`/merchant/pay/order/status/${id}`,{});
}

export function test<T>(data: any): Promise<Result<T>> {
  return post(`/merchant/pay/order/test`, data);
}


/**
 * 订单回调
 * @param id .
 * @returns  .
 */
export function orderCallback<T>(id: string): Promise<Result<T>> {
  return get(`/merchant/pay/order/callback/${id}`,{});
}
